diff -pruN 1.4.4-3/debian/changelog 1.4.4-3ubuntu2/debian/changelog
--- 1.4.4-3/debian/changelog	2017-01-06 16:24:48.000000000 +0000
+++ 1.4.4-3ubuntu2/debian/changelog	2020-02-14 18:35:57.000000000 +0000
@@ -1,3 +1,16 @@
+w1retap (1.4.4-3ubuntu2) focal; urgency=medium
+
+  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
+    (LP: #1863026)
+
+ -- Andreas Hasenack <andreas@canonical.com>  Fri, 14 Feb 2020 15:35:57 -0300
+
+w1retap (1.4.4-3ubuntu1) eoan; urgency=medium
+
+  * d/p/fix-gcc9-build-error.patch: fix FTBFS on ppc64el
+
+ -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 14 Aug 2019 16:01:54 +0200
+
 w1retap (1.4.4-3) unstable; urgency=medium
 
   * Replace build dependency asciidoc with asciidoc-base (Closes: #850394)
diff -pruN 1.4.4-3/debian/control 1.4.4-3ubuntu2/debian/control
--- 1.4.4-3/debian/control	2016-11-15 12:17:47.000000000 +0000
+++ 1.4.4-3ubuntu2/debian/control	2020-02-14 18:35:37.000000000 +0000
@@ -1,7 +1,8 @@
 Source: w1retap
 Section: electronics
 Priority: optional
-Maintainer: Thomas Stewart <thomas@stewarts.org.uk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thomas Stewart <thomas@stewarts.org.uk>
 Build-Depends: asciidoc,
                debhelper (>= 10),
                default-libmysqlclient-dev,
diff -pruN 1.4.4-3/debian/patches/fix-gcc9-build-error.patch 1.4.4-3ubuntu2/debian/patches/fix-gcc9-build-error.patch
--- 1.4.4-3/debian/patches/fix-gcc9-build-error.patch	1970-01-01 00:00:00.000000000 +0000
+++ 1.4.4-3ubuntu2/debian/patches/fix-gcc9-build-error.patch	2020-02-14 18:35:37.000000000 +0000
@@ -0,0 +1,38 @@
+Description: fix build errors owith gcc-9
+ gcc9 (and depending on architecture) got more strict and on ppc64
+ it considers a local array element that might be not written to an issue
+ for -Werror=maybe-uninitialized.
+ .
+ Lets add implicit initializations to those field to be on the safe side.
+Forwarded: no
+X-Not-Forwarded-Reason: work in progress
+Author: Christian Ehrhardt <christian.ehrhardt@canonical.com>
+Last-Update: 2019-08-14
+--- a/src/libusblinux300/hbht.c
++++ b/src/libusblinux300/hbht.c
+@@ -112,14 +112,14 @@ void HBHT_set_poll_freq (int portnum, uc
+ 
+ uchar HBHT_get_poll_freq (int portnum, uchar *snum)
+ {
+-    uchar val;
++    uchar val = 0;
+     HBHT_get_byteval(portnum, snum, HBHT_GETPOLLFREQ, &val);
+     return val;
+ }
+ 
+ short HBHT_get_hum_offset(int portnum, uchar *snum)
+ {
+-    uchar hoff_raw[2];
++    uchar hoff_raw[2] = {0, 0};
+     short hoff;
+     HBHT_get_bytes(portnum, snum, HBHT_GETHUMIDOFFSET, hoff_raw, 2);
+     hoff = (hoff_raw[0] | (hoff_raw[1] << 8));
+@@ -148,7 +148,7 @@ void HBHT_read_version(int portnum, ucha
+ 
+ int HBHT_read_data(int portnum, uchar *snum, hbht_res_t *hb)
+ {
+-    uchar tchar[2];
++    uchar tchar[2] = {0, 0};
+     HBHT_get_bytes(portnum, snum, HBHT_GETTEMPERATURE_C, (uchar*)&tchar, 2);
+     hb->temp = (float)((short)(tchar[0] | (tchar[1] << 8)))/10.0;
+     HBHT_get_bytes(portnum, snum, HBHT_GETCORRHUMID, (uchar*)&tchar, 2);
diff -pruN 1.4.4-3/debian/patches/mysql8_my_bool.patch 1.4.4-3ubuntu2/debian/patches/mysql8_my_bool.patch
--- 1.4.4-3/debian/patches/mysql8_my_bool.patch	1970-01-01 00:00:00.000000000 +0000
+++ 1.4.4-3ubuntu2/debian/patches/mysql8_my_bool.patch	2020-02-14 18:35:57.000000000 +0000
@@ -0,0 +1,19 @@
+Description: Reintroduce my_bool to fix build with MySQL 8
+Author: Andreas Hasenack <andreas@canonical.com>
+Bug-Ubuntu: https://bugs.launchpad.net/bugs/1863026
+Forwarded: no
+Last-Update: 2020-02-12
+---
+This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
+diff --git a/src/mysql/w1mysql.c b/src/mysql/w1mysql.c
+index 7eaf2f2..3039326 100644
+--- a/src/mysql/w1mysql.c
++++ b/src/mysql/w1mysql.c
+@@ -29,6 +29,7 @@
+ #include <time.h>
+ #include <sys/file.h>
+ #include <mysql.h>
++typedef bool my_bool;
+ #include <syslog.h>
+ #include "w1retap.h"
+ 
diff -pruN 1.4.4-3/debian/patches/series 1.4.4-3ubuntu2/debian/patches/series
--- 1.4.4-3/debian/patches/series	2016-11-15 12:17:47.000000000 +0000
+++ 1.4.4-3ubuntu2/debian/patches/series	2020-02-14 18:35:57.000000000 +0000
@@ -4,3 +4,5 @@ movetmp.patch
 fix-parallel-build.patch
 fix-extra-braces.patch
 fix-w1pgsql-snprintf-timet.patch
+fix-gcc9-build-error.patch
+mysql8_my_bool.patch
